## k3b 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "19")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(k3b VERSION ${KDE_APPLICATIONS_VERSION})

set (QT_MIN_VERSION "5.10.0")
set (KF5_MIN_VERSION "5.56.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

##################  K3b version  ################################
set(K3B_VERSION_STRING ${KDE_APPLICATIONS_VERSION})

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 7)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
option(K3B_DEBUG "K3b additional debugging support" OFF)
if(K3B_DEBUG)
    add_definitions(-g)
endif()
option(K3B_ENABLE_MUSICBRAINZ "Support for querying metadata about audio tracks from Musicbrainz." ON)
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMEnableSanitizers)
include(ECMSetupQtPluginMacroNames)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Config CoreAddons DocTools FileMetaData I18n IconThemes JobWidgets
                                     KCMUtils KIO Notifications NewStuff NotifyConfig Service Solid WidgetsAddons XmlGui)

find_package(Qt5WebKitWidgets)
set_package_properties(Qt5WebKitWidgets PROPERTIES
    DESCRIPTION "Qt5WebKitWidgets is used for prettier k3bdiskinfoview."
    TYPE OPTIONAL)
if(Qt5WebKitWidgets_FOUND)
    add_definitions(-DHAVE_QT5WEBKITWIDGETS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
if(WITH_NEW_SOLID_JOB)
    add_definitions(-DWITH_NEW_SOLID_JOB)
endif()

find_package(Iconv)
set(HAVE_ICONV "${ICONV_FOUND}")

find_package(Samplerate)
set_package_properties(Samplerate PROPERTIES
    DESCRIPTION "Audio sampling rate conversion."
    URL "http://www.mega-nerd.com/SRC"
    TYPE REQUIRED)

find_package(KF5Cddb)
set_package_properties(KF5Cddb PROPERTIES
    DESCRIPTION "KF5 branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")

if(K3B_ENABLE_DVD_RIPPING)
    find_package(DvdRead)
    set_package_properties(DvdRead PROPERTIES
        DESCRIPTION "Libdvdread provides a simple foundation for reading DVD video disks."
        URL "https://www.videolan.org/developers/libdvdnav.html"
        TYPE OPTIONAL)

    set(ENABLE_DVD_RIPPING "${DVDREAD_FOUND}")
endif()

if(K3B_ENABLE_TAGLIB)
    find_package(Taglib)
    set_package_properties(Taglib PROPERTIES
        DESCRIPTION "Read and write tags in audio files"
        URL "https://taglib.org/"
        TYPE OPTIONAL)

    set(ENABLE_TAGLIB "${TAGLIB_FOUND}")
endif()

if(K3B_ENABLE_MUSICBRAINZ)
    find_package(MusicBrainz)
    set_package_properties(MusicBrainz PROPERTIES
        DESCRIPTION "Provide information about the CD, about the artist or about related information"
        URL "https://musicbrainz.org/"
        TYPE OPTIONAL)

    set(ENABLE_MUSICBRAINZ "${MUSICBRAINZ_FOUND}")
endif()

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
    find_package(FFmpeg)
    set_package_properties(FFmpeg PROPERTIES
        PURPOSE "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
        URL "https://ffmpeg.org/"
        TYPE OPTIONAL)

    if(FFMPEG_FOUND)
        include(CheckSymbolExists)
        include(CMakePushCheckState)
        cmake_push_check_state()

        if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
            # FindKDE4Internal.cmake screws things up
            set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} -std=c99)
        endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")

        if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
            set(FFMPEG_HEADERS ffmpeg/avcodec.h ffmpeg/avformat.h)
        else(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
            set(FFMPEG_HEADERS libavcodec/avcodec.h libavformat/avformat.h)
            set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -DNEWFFMPEGAVCODECPATH)
        endif(FFMPEG_INCLUDE_DIR_OLD_STYLE)
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FFMPEG_LIBRARIES})

        check_symbol_exists(avformat_open_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_OPEN_INPUT)
        check_symbol_exists(av_dump_format "${FFMPEG_HEADERS}" HAVE_FFMPEG_AV_DUMP_FORMAT)
        check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
        check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
        check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
        check_symbol_exists(avcodec_decode_audio2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO2)
        check_symbol_exists(avcodec_decode_audio3 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO3)
        check_symbol_exists(avcodec_decode_audio4 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO4)
        include(CheckCSourceCompiles)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() { enum AVMediaType t = AVMEDIA_TYPE_UNKNOWN; return 0; }
            " HAVE_FFMPEG_AVMEDIA_TYPE)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() {
            #if LIBAVCODEC_BUILD >= AV_VERSION_INT(54,25,0)
            # Not needed here. AV_CODEC_ID_MP3 exists.
            #else
            enum CodecID t = CODEC_ID_MP3;
            #endif
            return 0;
            }
            " HAVE_FFMPEG_CODEC_MP3)

        cmake_pop_check_state()
    endif(FFMPEG_FOUND)

    set(BUILD_FFMPEG_DECODER_PLUGIN "${FFMPEG_FOUND}")
endif(K3B_BUILD_FFMPEG_DECODER_PLUGIN)

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
    find_package(Flac)
    set_package_properties(Flac PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    find_package(Flac++)
    set_package_properties(Flac++ PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    if(FLAC_FOUND AND FLAC++_FOUND)
        set(BUILD_FLAC_DECODER_PLUGIN 1)
    endif()
endif()

if(K3B_BUILD_MAD_DECODER_PLUGIN)
    find_package(Mad)
    set_package_properties(Mad PROPERTIES
        PURPOSE "Needed for the mp3 audio decoder plugin."
        URL "https://www.underbit.com/products/mad"
        TYPE OPTIONAL)

    set(BUILD_MAD_DECODER_PLUGIN "${MAD_FOUND}")
endif()

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
    find_package(Muse)
    set_package_properties(Muse PROPERTIES
        PURPOSE "Needed for the Musepack audio decoder plugin"
        URL "https://www.musepack.net/"
        TYPE OPTIONAL)

    set(BUILD_MUSE_DECODER_PLUGIN "${MUSE_FOUND}")
endif()

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
    find_package(Sndfile)
    set_package_properties(Sndfile PROPERTIES
        PURPOSE "Needed for the libsndfile audio decoder plugin."
        URL "http://www.mega-nerd.com/libsndfile"
        TYPE OPTIONAL)

    set(BUILD_SNDFILE_DECODER_PLUGIN "${SNDFILE_FOUND}")
endif()

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
    find_package(Lame)
    set_package_properties(Lame PROPERTIES
        DESCRIPTION "Lame mp3 encoder"
        PURPOSE "Needed for the lame mpf encoder encoder plugin."
        URL "http://lame.sourceforge.net"
        TYPE OPTIONAL)

    set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
endif()

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
    find_package(OggVorbis)
    set_package_properties(OggVorbis PROPERTIES
        DESCRIPTION "Ogg Vorbis"
        PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
        URL "http://www.vorbis.com"
        TYPE OPTIONAL)

    set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
    set(BUILD_OGGVORBIS_ENCODER_PLUGIN "${OGGVORBIS_FOUND}")
endif()

###################  K3b build settings #################################
include(ConfigureChecks)

set(BUILD_WAVE_DECODER_PLUGIN "${K3B_BUILD_WAVE_DECODER_PLUGIN}")
set(BUILD_SOX_ENCODER_PLUGIN "${K3B_BUILD_SOX_ENCODER_PLUGIN}")
set(BUILD_EXTERNAL_ENCODER_PLUGIN "${K3B_BUILD_EXTERNAL_ENCODER_PLUGIN}")

set(ENABLE_HAL_SUPPORT "${K3B_ENABLE_HAL_SUPPORT}")
set(ENABLE_AUDIO_PLAYER "${QT_QTMULTIMEDIA_FOUND}")

if(IS_ABSOLUTE ${DATA_INSTALL_DIR})
  set(K3B_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/k3b)
else()
  set(K3B_DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_INSTALL_DIR}/k3b)
endif()

configure_file(config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h)
include_directories(${CMAKE_BINARY_DIR})

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        K3B_EXPORT_PLUGIN
        K3B_EXPORT_PLUGIN_CONFIG_WIDGET
)

##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
    find_package(Doxygen)

    if(DOXYGEN_EXECUTABLE)
        configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

        if(EXISTS ${QT_DOC_DIR}/html)
            set(QTDOCS "${QT_DOC_DIR}/html")
        else()
            set(QTDOCS "http://doc.trolltech.com/4.5/")
        endif()

        add_custom_target(apidox
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            COMMAND docs/html/installdox -l qt4.tag@${QTDOCS} docs/html/*.html)
    endif()
endif(K3B_BUILD_API_DOCS)

##################  K3b build environment ################################
add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioslaves )
add_subdirectory( plugins )
add_subdirectory( doc )
if(BUILD_TESTING)
    find_package(Qt5Test REQUIRED)
    find_package(LibFuzzer)
    set_package_properties(LibFuzzer PROPERTIES

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR k3b)

=== libk3bdevice/CMakeLists.txt ===

add_library(k3bdevice SHARED
    k3bdevice.cpp
    k3bdevice_mmc.cpp
    k3bscsicommand.cpp
    k3btrack.cpp
    k3btoc.cpp
    k3bdevicemanager.cpp
    k3bmsf.cpp
    k3bdiskinfo.cpp
    k3bdeviceglobals.cpp
    k3bcrc.cpp
    k3bcdtext.cpp
)

target_include_directories(k3bdevice PUBLIC .)

target_link_libraries(k3bdevice
    PUBLIC
        Qt5::Core
    PRIVATE
        KF5::ConfigCore
        KF5::I18n
        KF5::KIOCore
        KF5::Solid
)

if(CMAKE_SYSTEM_NAME MATCHES "k?FreeBSD")
    target_link_libraries(k3bdevice PRIVATE cam)
endif()

set_target_properties(k3bdevice PROPERTIES
    VERSION ${K3B_LIB_VERSION_MAJOR}.${K3B_LIB_VERSION_MINOR}.${K3B_LIB_VERSION_RELEASE}
    SOVERSION ${K3B_LIB_VERSION_MAJOR}
)

generate_export_header(k3bdevice
    EXPORT_MACRO_NAME LIBK3BDEVICE_EXPORT
    DEPRECATED_MACRO_NAME LIBK3BDEVICE_EXPORT_DEPRECATED
    EXPORT_FILE_NAME k3bdevice_export.h
)

install(TARGETS k3bdevice ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/k3bdevice_export.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

install( FILES
    k3bdevicemanager.h
    k3bdevice.h
    k3btoc.h
    k3btrack.h
    k3bdeviceglobals.h
    k3bdiskinfo.h
    k3bcdtext.h
    k3bmsf.h
    k3bdevicetypes.h
    DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel
)

=== kioslaves/videodvd/CMakeLists.txt ===

add_library(kio_videodvd MODULE videodvd.cpp)
set_target_properties(kio_videodvd PROPERTIES OUTPUT_NAME "videodvd")

target_link_libraries(kio_videodvd KF5::KIOCore KF5::I18n k3blib k3bdevice)

generate_export_header(kio_videodvd
    EXPORT_MACRO_NAME VIDEODVD_EXPORT
    DEPRECATED_MACRO_NAME VIDEODVD_EXPORT_DEPRECATED
    EXPORT_FILE_NAME videodvd_export.h
)

install(TARGETS kio_videodvd DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

install( FILES  videodvd.protocol DESTINATION ${SERVICES_INSTALL_DIR})

install( FILES  videodvd.desktop DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/virtual_folders/services)

=== libk3b/tools/CMakeLists.txt ===

install( FILES
  k3bwavefilewriter.h
  k3bbusywidget.h
  k3bdeviceselectiondialog.h
  k3bmd5job.h
  k3bdevicecombobox.h
  k3bstdguiitems.h
  k3bvalidators.h
  k3bthroughputestimator.h
  k3biso9660.h
  k3bmultichoicedialog.h
  k3bdevicehandler.h
  k3bcdparanoialib.h
  k3bmsfedit.h
  k3bcdtextvalidator.h
  k3bintvalidator.h
  k3bexceptions.h
  k3bthreadwidget.h
  k3bsignalwaiter.h
  k3biso9660backend.h
  k3bdirsizejob.h
  k3bchecksumpipe.h
  k3bintmapcombobox.h
  k3bactivepipe.h
  k3bfilesplitter.h
  k3bfilesysteminfo.h
  k3bmedium.h
  k3bmediacache.h
  k3bcddb.h
  k3bprocess.h
  DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== src/helper/CMakeLists.txt ===

add_executable(k3bhelper k3bhelper.cpp k3bhelperprogramitem.cpp)

target_link_libraries(k3bhelper KF5::AuthCore)

install(TARGETS k3bhelper DESTINATION ${LIBEXEC_INSTALL_DIR})

kauth_install_helper_files(k3bhelper org.kde.k3b root)

kauth_install_actions(org.kde.k3b k3b.actions)

=== plugins/decoder/ogg/CMakeLists.txt ===
add_library(k3boggvorbisdecoder MODULE k3boggvorbisdecoder.cpp)

target_link_libraries(k3boggvorbisdecoder k3bdevice k3blib KF5::I18n ${OGGVORBIS_LIBRARIES})

install(TARGETS k3boggvorbisdecoder DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES  k3boggvorbisdecoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/project/audiometainforenamer/CMakeLists.txt ===
include_directories(${TAGLIB_INCLUDES})

add_library(k3baudiometainforenamerplugin MODULE k3baudiometainforenamerplugin.cpp)

target_link_libraries(k3baudiometainforenamerplugin
    k3bdevice
    k3blib
    KF5::I18n
    ${TAGLIB_LIBRARIES}
)

install(TARGETS k3baudiometainforenamerplugin DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES k3baudiometainforenamerplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
k3b (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:05:24 +0000

k3b (19.12.2-2ubuntu1) focal; urgency=medium

  * Merge from dDebian unstable. Remaining changes:
    - debian/control:
      + Build depend on libkf5cddb-dev 19.12.2
      + Kubuntu Vcs fields.
      + k3b depends on k3b-i18n, not vice versa.
      + Package breaks/replaces to suit Kubuntu upload history.
    - debian/patches/kubuntu_07_quicklists.diff
    - debian/meta/cmake-ignore: Config for Kubuntu CI.
    - Keep our .install files.
    - k3b-data maintscript for moved conf files.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2020 18:36:35 +0000

k3b (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:16:53 +0000

k3b (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:50:48 +0000

k3b (19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)
  * Move knsrc file to new location.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:44:21 +0000

k3b (19.08.3-0ubuntu3) focal; urgency=medium

  * Promote k3b-i18n to a k3b recommends, and drop reciprocal
    recommends, so language pack meta does not pull in the full k3b
    application itself.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Dec 2019 07:53:56 +0000

k3b (19.08.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild against libdvdread7

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Nov 2019 15:32:33 +0000

k3b (19.08.3-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:29:07 +0000

=== debian/control ===
Source: k3b
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Michael Meskes <meskes@debian.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.56.0~),
               libavformat-dev,
               libcam-dev [kfreebsd-any],
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libkf5archive-dev (>= 5.56.0~),
               libkf5cddb-dev (>= 4:19.12.3~),
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5filemetadata-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5iconthemes-dev (>= 5.56.0~),
               libkf5jobwidgets-dev (>= 5.56.0~),
               libkf5kcmutils-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5newstuff-dev (>= 5.56.0~),
               libkf5notifications-dev (>= 5.56.0~),
               libkf5notifyconfig-dev (>= 5.56.0~),
               libkf5service-dev (>= 5.56.0~),
               libkf5solid-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5xmlgui-dev (>= 5.56.0~),
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libmusicbrainz5-dev,
               libqt5webkit5-dev (>= 5.10.0~),
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.10.0~),
               shared-mime-info,
Standards-Version: 4.5.0
Homepage: https://userbase.kde.org/K3b
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Rules-Requires-Root: no

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         cdrskin,
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b7 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b7-extracodecs, vcdimager
Suggests: k3b-extrathemes,
          kde-config-cddb,
          normalize-audio,
          sox,
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends}
Breaks: k3b-extrathemes (<< 18.08.3~), libk3b7 (<< 18.08.3~)
Replaces: k3b-extrathemes (<< 18.08.3~), libk3b7 (<< 18.08.3~)
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: k3b, ${misc:Depends}
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: libk3b7 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b7
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libk3b7-extracodecs (<< 18.08.3~)
Replaces: libk3b7-extracodecs (<< 18.08.3~)
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b7-extracodecs
Architecture: any
Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: k3b-data (<< 18.08.3~)
Replaces: k3b-data (<< 18.08.3~)
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+fortify
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DK3B_ENABLE_HAL_SUPPORT=OFF

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_dwz

## k3b 20.08.1

=== debian/changelog ===
k3b (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:49:35 +0100

k3b (20.08.0-1ubuntu3) groovy; urgency=medium

  * Fix breaks/replaces.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Aug 2020 07:28:11 +0100

k3b (20.08.0-1ubuntu2) groovy; urgency=medium

  * debian/control: Fix k3b-data replaces field.

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Aug 2020 12:38:58 +0100

k3b (20.08.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + k3b depends on k3b-i18n, not vice versa.
      + Package breaks/replaces to suit Kubuntu upload history.
    - debian/patches/kubuntu_07_quicklists.diff

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Aug 2020 08:29:46 +0100

k3b (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Unregister k3btheme.knsrc as conffile, as it is no more in /etc.
  * Stop passing --fail-missing to dh_missing, as it is the default with the
    debhelper compatibility 13+.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 09:03:35 +0200

k3b (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:43:27 +0100

k3b (20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:34:12 +0100

k3b (20.04.2-0ubuntu2) groovy; urgency=medium

  * Install new translation file.

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 15:30:46 +0100

k3b (20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:10:54 +0100

k3b (20.04.1-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * Refresh copyright file.
     - Refresh entries.
     - Fix DEP5 entry for KDEev clause.
  * Fix "Obsolete conffile /etc/dbus-
    1/system.d/org.kde.kcontrol.k3bsetup.conf not properly removed on
    upgrades"
     - Add dh_installdeb maintscript file to
       call dpkg-maintscript-helper for rm_conffile
       to gracefully remove the obsolete file in various stages of install.
       (Closes: 914077)
  * Add Bug-Database and Bug-Submit information to upstream metadata.
  * Add +all to hardening options.
  * Fix "[k3b] Please mention that K3b can rip in description"
     - Updated the extended description with the about data.
    (Closes: #691053)
  * Pass libexec cmake flag to dh auto configure to correct
    the installation path to comply with policy 4.1.5.
  * Add Multi-Arch support.
  * Bump qtbase version requirement to fix build on kfreebsd.
    - QT5GUI require LibEGL.so and it is correctly listed as a
      dependency of qtbase5 as of version 5.12.5+dfsg-3.
  * Bump debhelper compat to 13.
  * Remove as-needed ldflags override as it is now default.
  * New upstream release ( 20.04.1 ).
  * Update metadata to point to moved repo at invent.kde.org.
  * Simplify Bug-Database buglist in upstream metadata.

 -- Scarlett Moore <sgmoore@kde.org>  Tue, 16 Jun 2020 08:13:11 -0700

k3b (20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:32:07 +0100

k3b (20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:18:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Michael Meskes <meskes@debian.org>,
-           Mark Purcell <msp@debian.org>,
+           Mark Purcell <msp@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.56.0~),
                libavformat-dev,
                libcam-dev [kfreebsd-any],
@@ -15,7 +14,7 @@
                libflac++-dev,
                libflac-dev,
                libkf5archive-dev (>= 5.56.0~),
-               libkf5cddb-dev (>= 4:19.12.3~),
+               libkf5cddb-dev (>= 4:20.08.1~),
                libkf5config-dev (>= 5.56.0~),
                libkf5coreaddons-dev (>= 5.56.0~),
                libkf5doctools-dev (>= 5.56.0~),
@@ -36,13 +35,13 @@
                libmp3lame-dev,
                libmpcdec-dev,
                libmusicbrainz5-dev,
-               libqt5webkit5-dev (>= 5.10.0~),
+               libqt5webkit5-dev (>= 5.12.5+dfsg-3~),
                libsamplerate0-dev,
                libsndfile1-dev,
                libtag1-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.10.0~),
+               qtbase5-dev (>= 5.12.5+dfsg-3~),
                shared-mime-info,
 Standards-Version: 4.5.0
 Homepage: https://userbase.kde.org/K3b
@@ -54,30 +53,34 @@
 Architecture: any
 Depends: cdparanoia,
          cdrdao [linux-any],
-         cdrskin,
          genisoimage,
          k3b-data (= ${source:Version}),
          libk3b7 (= ${binary:Version}),
          udisks2 [linux-any],
-         wodim,
+         wodim | cdrskin,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b7-extracodecs, vcdimager
+Breaks: k3b-data (<< 20.08.0-1~)
+Replaces: k3b-data (<< 20.08.0-1~)
 Suggests: k3b-extrathemes,
           kde-config-cddb,
+          movixmaker-2,
           normalize-audio,
-          sox,
+          sox
 Description: Sophisticated CD/DVD burning application
- K3b provides a comfortable user interface to perform most CD/DVD burning
- tasks. While the experienced user can take influence in all steps
- of the burning process the beginner may find comfort in the automatic settings
- and the reasonable k3b defaults which allow a quick start.
+ K3b is a full-featured CD/DVD/Blu-ray burning and ripping application.
+ It supports a variety of project types as well as copying of optical
+ media, burning of different types of images, and ripping Audio CDs,
+ Video CDs, and Video DVDs.
+ Its convenient user interface is targeted at all audiences, trying to
+ be as simple as possible for novice users, while also providing all
+ features an advanced user might need.
 
 Package: k3b-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: k3b-extrathemes (<< 18.08.3~), libk3b7 (<< 18.08.3~)
-Replaces: k3b-extrathemes (<< 18.08.3~), libk3b7 (<< 18.08.3~)
 Description: Sophisticated CD/DVD burning application - data files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -112,6 +115,7 @@
 Package: libk3b-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libk3b7 (= ${binary:Version}),
          ${misc:Depends},
 Description: KDE CD/DVD burning application library - development files
@@ -125,9 +129,8 @@
 Package: libk3b7
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libk3b7-extracodecs (<< 18.08.3~)
-Replaces: libk3b7-extracodecs (<< 18.08.3~)
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -138,9 +141,8 @@
 
 Package: libk3b7-extracodecs
 Architecture: any
+Multi-Arch: same
 Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: k3b-data (<< 18.08.3~)
-Replaces: k3b-data (<< 18.08.3~)
 Description: KDE CD/DVD burning application library - extra decoders
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DK3B_ENABLE_HAL_SUPPORT=OFF \
	-DCMAKE_INSTALL_LIBEXECDIR=/usr/libexec

.PHONY: override_dh_dwz

## k3b 20.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,21 @@
 cmake_minimum_required(VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-
-project(k3b VERSION ${KDE_APPLICATIONS_VERSION})
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(k3b VERSION ${RELEASE_SERVICE_VERSION})
 
 set (QT_MIN_VERSION "5.10.0")
 set (KF5_MIN_VERSION "5.56.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${ECM_MODULE_PATH}")
 
 ##################  K3b version  ################################
-set(K3B_VERSION_STRING ${KDE_APPLICATIONS_VERSION})
+set(K3B_VERSION_STRING ${RELEASE_SERVICE_VERSION})
 
 # increase on BC breakage
 set(K3B_LIB_VERSION_MAJOR 7)
@@ -156,9 +156,6 @@
         check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
         check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
         check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
-        check_symbol_exists(avcodec_decode_audio2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO2)
-        check_symbol_exists(avcodec_decode_audio3 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO3)
-        check_symbol_exists(avcodec_decode_audio4 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO4)
         include(CheckCSourceCompiles)
         check_c_source_compiles("
             #ifdef NEWFFMPEGAVCODECPATH
@@ -243,7 +240,7 @@
     set_package_properties(Lame PROPERTIES
         DESCRIPTION "Lame mp3 encoder"
         PURPOSE "Needed for the lame mpf encoder encoder plugin."
-        URL "http://lame.sourceforge.net"
+        URL "https://lame.sourceforge.io/"
         TYPE OPTIONAL)
 
     set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
@@ -254,7 +251,7 @@
     set_package_properties(OggVorbis PROPERTIES
         DESCRIPTION "Ogg Vorbis"
         PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
-        URL "http://www.vorbis.com"
+        URL "https://xiph.org/vorbis/"
         TYPE OPTIONAL)
 
     set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
@@ -296,12 +293,12 @@
         if(EXISTS ${QT_DOC_DIR}/html)
             set(QTDOCS "${QT_DOC_DIR}/html")
         else()
-            set(QTDOCS "http://doc.trolltech.com/4.5/")
+            set(QTDOCS "https://doc.qt.io/qt-5/")
         endif()
 
         add_custom_target(apidox
             COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
-            COMMAND docs/html/installdox -l qt4.tag@${QTDOCS} docs/html/*.html)
+            COMMAND docs/html/installdox -l qt5.tag@${QTDOCS} docs/html/*.html)
     endif()
 endif(K3B_BUILD_API_DOCS)
 
@@ -316,3 +313,14 @@
     find_package(Qt5Test REQUIRED)
     find_package(LibFuzzer)
     set_package_properties(LibFuzzer PROPERTIES
+        PURPOSE "libFuzzer – a library for coverage-guided fuzz testing."
+        URL "https://llvm.org/docs/LibFuzzer.html"
+        TYPE OPTIONAL)
+    add_subdirectory(tests)
+endif()
+
+###################  K3b config summary ################################
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)

=== plugins/decoder/ffmpeg/CMakeLists.txt ===
add_library(k3bffmpegdecoder MODULE k3bffmpegdecoder.cpp k3bffmpegwrapper.cpp)

if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
    message(STATUS "didn't find new ffmpegcodecpath")
    target_include_directories(k3bffmpegdecoder PRIVATE ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
else()
    message(STATUS "found new ffmpegcodecpath")
    target_compile_definitions(k3bffmpegdecoder PRIVATE NEWFFMPEGAVCODECPATH)
    target_include_directories(k3bffmpegdecoder PRIVATE ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
endif()

target_link_libraries(k3bffmpegdecoder k3bdevice k3blib KF5::I18n ${FFMPEG_LIBRARIES})

install(TARGETS k3bffmpegdecoder DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES k3bffmpegdecoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/decoder/flac/CMakeLists.txt ===

check_cxx_source_compiles("
#include <FLAC++/metadata.h>
int main()
{
    FLAC::Metadata::VorbisComment* vc;
    vc->get_vendor_string().get_field();
    return 0;
}
" FLAC_LESS_THAN_1_1_1 )

if( NOT FLAC_LESS_THAN_1_1_1)
    set(FLAC_NEWER_THAN_1_1_1 1)
endif()

configure_file(config-flac.h.cmake config-flac.h )

add_library(k3bflacdecoder MODULE k3bflacdecoder.cpp)

target_include_directories(k3bflacdecoder PRIVATE ${FLAC++_INCLUDE_DIR} ${FLAC_INCLUDE_DIR} ${TAGLIB_INCLUDES})

target_link_libraries(k3bflacdecoder k3bdevice k3blib KF5::I18n ${FLAC++_LIBRARIES} ${FLAC_LIBRARIES})

if(ENABLE_TAGLIB)
    target_link_libraries(k3bflacdecoder ${TAGLIB_LIBRARIES})
endif()

install(TARGETS k3bflacdecoder DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES  k3bflacdecoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/decoder/musepack/CMakeLists.txt ===

configure_file(k3bmpc_config.h.cmake k3bmpc_config.h)

add_library(k3bmpcdecoder MODULE k3bmpcdecoder.cpp k3bmpcwrapper.cpp)

target_include_directories(k3bmpcdecoder PRIVATE ${MUSE_INCLUDE_DIR})

target_link_libraries(k3bmpcdecoder k3bdevice k3blib KF5::I18n ${MUSE_LIBRARIES})

install(TARGETS k3bmpcdecoder DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES  k3bmpcdecoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/encoder/ogg/CMakeLists.txt ===
add_library(k3boggvorbisencoder MODULE k3boggvorbisencoder.cpp)

target_link_libraries(k3boggvorbisencoder
    k3bdevice
    k3blib
    KF5::I18n
    ${OGGVORBIS_LIBRARIES}
)

ki18n_wrap_ui(ui_sources base_k3boggvorbisencodersettingswidget.ui)

add_library(kcm_k3boggvorbisencoder MODULE
    k3boggvorbisencoderconfigwidget.cpp
    ${ui_sources}
)

target_link_libraries(kcm_k3boggvorbisencoder
    k3bdevice
    k3blib
    KF5::I18n
    ${OGGVORBIS_LIBRARIES}
)

install(TARGETS k3boggvorbisencoder kcm_k3boggvorbisencoder DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES k3boggvorbisencoder.desktop kcm_k3boggvorbisencoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
k3b (20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 16:05:56 +0100

k3b (20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 22:50:12 +0100

k3b (20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Simplify upstream metadata.
  * Bump Standards-Version to 4.5.1 (no change required).

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 10:56:53 +0900

k3b (20.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Fix Changelog URL in upstream metadata.

  [ Pino Toscano ]
  * New upstream release.
  * Stop passing -DCMAKE_INSTALL_LIBEXECDIR=/usr/libexec to cmake, as it has no
    effect, and we do not want to change the libexec directory from the default
    used by KF applications.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Tue, 10 Nov 2020 12:42:23 +0100

k3b (20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Reword copyright License stanza to match other packages and avoid lintian
    choking on it.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 00:25:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.56.0~),
+               gettext,
                libavformat-dev,
                libcam-dev [kfreebsd-any],
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
                libkf5archive-dev (>= 5.56.0~),
-               libkf5cddb-dev (>= 4:20.08.1~),
+               libkf5cddb-dev (>= 5.56.0~),
                libkf5config-dev (>= 5.56.0~),
                libkf5coreaddons-dev (>= 5.56.0~),
                libkf5doctools-dev (>= 5.56.0~),
@@ -42,11 +43,11 @@
                libvorbis-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.12.5+dfsg-3~),
-               shared-mime-info,
-Standards-Version: 4.5.0
+               shared-mime-info
+Standards-Version: 4.5.1
 Homepage: https://userbase.kde.org/K3b
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b
 Rules-Requires-Root: no
 
 Package: k3b
@@ -60,10 +61,9 @@
          wodim | cdrskin,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b7-extracodecs, vcdimager
-Breaks: k3b-data (<< 20.08.0-1~)
-Replaces: k3b-data (<< 20.08.0-1~)
+Recommends: dvd+rw-tools, growisofs, libk3b7-extracodecs, vcdimager
 Suggests: k3b-extrathemes,
+          k3b-i18n,
           kde-config-cddb,
           movixmaker-2,
           normalize-audio,
@@ -103,7 +103,7 @@
 Package: k3b-i18n
 Section: localization
 Architecture: all
-Depends: ${misc:Depends}
+Depends: k3b, ${misc:Depends}
 Description: Sophisticated CD/DVD burning application - localizations files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -116,8 +116,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libk3b7 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}
 Description: KDE CD/DVD burning application library - development files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 	dh $@ --with kf5
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DK3B_ENABLE_HAL_SUPPORT=OFF \
-	-DCMAKE_INSTALL_LIBEXECDIR=/usr/libexec
+	dh_auto_configure -Skf5 -- -DK3B_ENABLE_HAL_SUPPORT=OFF
 
 .PHONY: override_dh_dwz
